import request from '@/utils/request'

/**
 * 保存工作计划内容
 * @param data
 * @returns {*}
 */
export function saveWorkPlans(data){
  return request({
      url: "/workPlan/saveWorkPlan",
      method: "POST",
      data: data
    }
  )
}

/**
 * 获取登录用户某周工作内容
 * @param weeks
 * @returns {*}
 */
export function getMeetingsAndWorkPlansByWeeks(weeks){
  return request({
    url: "/workPlan/getMeetingsAndWorkPlansByWeeks?weeks=" + weeks,
    method: "GET"
  })
}

/***
 * 根据ID删除工作计划信息
 * @param id
 * @returns {*}
 */
export function deleteWorkPlanById(id){
  return request({
    url: "/workPlan/deleteWorkPlanById?id=" + id,
    method: "GET"
  })
}
