import request from '@/utils/request'

// 查询任务列表
export function listTask(query) {
  return request({
    url: '/task/task/list',
    method: 'get',
    params: query
  })
}

// 查询任务详细
export function getTask(TaskId) {
  return request({
    url: '/task/task/' + TaskId,
    method: 'get'
  })
}

// 新增任务
export function addTask(data) {
  return request({
    url: '/task/task',
    method: 'post',
    data: data
  })
}

// 修改任务
export function updateTask(data) {
  return request({
    url: '/task/task',
    method: 'put',
    data: data
  })
}


// 删除任务
export function delTask(TaskId) {
  return request({
    url: '/task/task/' + TaskId,
    method: 'delete'
  })
}

// 查询任务视图列表
export function listView(query) {
  return request({
    url: '/task/task/viewList',
    method: 'get',
    params: query
  })
}

// 添加任务反馈
export function addTaskFeedback(data) {
  return request({
    url: '/task/task/addFeedback',
    method: 'post',
    data: data
  })
}

// 查询任务反馈
export function getFeedbackList(taskId, date) {
  return request({
    url: '/task/task/getFeedbackList?taskId=' + taskId + '&date=' + date,
    method: 'get'
  })
}


// 任务审批
export function auditTask(data) {
  return request({
    url: '/task/task/audit',
    method: 'post',
    data: data
  })
}

// 任务分解
export function splitTask(data) {
  return request({
    url: '/task/task/split',
    method: 'post',
    data: data
  })
}
